/* Localized versions of plugin keys */

taskString = "Install";
taskDescription = "Install Packages";
longTaskDescription = "Install packages on target computers";
actionString = "Install";
noSelectionMessage = "Select at least one package to install.";
summary = "Install %d packages: ";
summaryOnePackage = "Install the package: ";
summaryNoPackages = "No packages chosen";
// Task editor strings
kInstallPackageTooltipRestart = "This package requires a restart after installation.";
remoteTaskServer = "The Task Server on “%@”";
localTaskServer = "The Task Server on this computer";

// Non-delegated task strings

// Task progress
kInstallPackagePreparingOne = "Preparing to copy and install “%@”";
kInstallPackagePreparingMany = "Preparing to copy and install %@ packages";
kInstallPackageInstallingOne = "Installing “%@”";
kInstallPackageInstallingMany = "Installing %@ packages";
// Task final state
kInstallPackageCompleteOne = "Installed “%@”";
kInstallPackageCompleteMany = "Installed %@ packages";
kInstallPackageIncompleteOne = "Did not install “%@”";					// Only if all are at the same progress state
kInstallPackageIncompleteMany = "Did not install %@ of %@ packages";	// Only if all are at the same progress state
kInstallPackageNextCompletePackage = ", “%@”";
// Client progress
kInstallPackageClientInstalling = "Installing “%@”";
kInstallPackageClientProgress = "%@ : %@ (%d%% complete)";
kInstallPackageClientFinishedInstall = "Installed “%@”";
// Client final state
kInstallPackageClientFailedOnePackagesOne = "“%@” could not be installed.  %@";
kInstallPackageClientFailedOnePackagesMany = "The final package, “%@”, could not be installed.  %@";
kInstallPackageClientFailedManyPackagesMany = "%@ of %@ packages were not installed.  Failed on “%@”.  %@";
kInstallPackageClientStoppedOne = "Stopped on “%@”";
kInstallPackageClientStoppedMany = "Stopped on “%@”  Didn’t install %@ of %@";

kInstallPackageClientUknownError = "No error message was returned.";
kInstallPackageClientKnownError = "Error message: “%@”";

// Delegated task strings
//Task progress
kDelegatedInstallPackageNoServer = "The task server is currently unavailable.";
kDelegatedInstallPackageStarting = "Sending installer files to the Server.";
kDelegatedInstallPackageInitialDormantOne = "The targeted computer, “%@”, is currently idle.";
kDelegatedInstallPackageInitialDormantMany = "The %d targeted computers are currently idle.";
kDelegatedInstallPackageDormantOne = "The remaining computer, “%@”, is currently idle.";
kDelegatedInstallPackageDormantMany = "The remaining %d computers are currently idle.";
kDelegatedInstallActiveOne = "Package installation is executing on “%@”.";
kDelegatedInstallActiveMany = "Package installation is executing on %d computers.";

checkingPackages = "Checking package structure.";
modifyingPackage = "Creating a self contained package before sending to the server.";
copyingPackageIntoBundle = "Copying %@ inside %@.";
modificationError = "An error occured while modifying the package structure.";

// Task final state
kDelegatedInstallPackageCompleteOne = "Installed “%@”";
kDelegatedInstallPackageCompleteMany = "Installed %@ packages";

// Client progress
kDelegatedInstallPackageClientIdleInProgressNoInstallsOneRemains = "Idle.  “%@” remains to be installed.";
kDelegatedInstallPackageClientIdleInProgressNoInstallsManyRemain = "Idle.  %@ remain to be installed.";

kDelegatedInstallPackageClientIdleInProgressOneInstallOneRemains = "Idle.  “%@” is installed.  “%@” remains to be installed.";
kDelegatedInstallPackageClientIdleInProgressOneInstallManyRemain = "Idle.  “%@” is installed.  %@ remain to be installed.";
kDelegatedInstallPackageClientIdleInProgressManyInstalledOneRemains = "Idle.  %@ are installed.  “%@” remains to be installed.";
kDelegatedInstallPackageClientIdleInProgressManyInstalledManyRemain = "Idle.  %@ are installed.  %@ remain to be installed.";

kDelegatedInstallPackageClientIdleInProgressWithOneFailureOneRemains = "Idle.  “%@” failed to install.  “%@” remains to be installed.";
kDelegatedInstallPackageClientIdleInProgressWithOneFailureManyRemain = "Idle.  “%@” failed to install.  %@ remain to be installed.";
kDelegatedInstallPackageClientIdleInProgressWithManyFailuresOneRemains = "Idle.  %@ failed to install.  “%@” remains to be installed.";
kDelegatedInstallPackageClientIdleInProgressWithManyFailuresManyRemain = "Idle.  %@ failed to install.  %@ remain to be installed.";

kDelegatedInstallPackageClientIdleInProgressWithOneFailureOneInstallOneRemains = "Idle.  “%@” failed to install.  “%@” is installed.  “%@” remains to be installed.";
kDelegatedInstallPackageClientIdleInProgressWithOneFailureOneInstallManyRemain = "Idle.  “%@” failed to install.  “%@” is installed.  %@ remain to be installed.";
kDelegatedInstallPackageClientIdleInProgressWithOneFailureManyInstalledOneRemains = "Idle.  “%@” failed to install.  %@ are installed.  “%@” remains to be installed.";
kDelegatedInstallPackageClientIdleInProgressWithOneFailureManyInstalledManyRemain = "Idle.  “%@” failed to install.  %@ are installed.  %@ remain to be installed.";
kDelegatedInstallPackageClientIdleInProgressWithManyFailuresOneInstallOneRemains = "Idle.  %@ failed to install.  “%@” is installed.  “%@” remains to be installed.";
kDelegatedInstallPackageClientIdleInProgressWithManyFailuresOneInstallManyRemain = "Idle.  %@ failed to install.  “%@” is installed.  %@ remain to be installed.";
kDelegatedInstallPackageClientIdleInProgressWithManyFailuresManyInstalledOneRemains = "Idle.  %@ failed to install.  %@ are installed.  “%@” remains to be installed.";
kDelegatedInstallPackageClientIdleInProgressWithManyFailuresManyInstalledManyRemain = "Idle.  %@ failed to install.  %@ are installed.  %@ remain to be installed.";

kDelegatedInstallPackageClientStartingPackage = "Starting installation on “%@”";
kDelegatedInstallPackageClientProgressUpdate = "%@ : %@ (%d%% complete)";
kDelegatedInstallPackageClientFailedMany = "Completed, but had failures on %d packages: “%@”";
kDelegatedInstallPackageClientFailedOne = "Completed, but failed on one package: “%@”";
kDelegatedInstallPackageSinglePackage = "“%@”";
kDelegatedInstallPackageNextPackage = ", “%@”";

